Tools used by OpenStack Documentation
You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.
Andreas Jaeger a3fdc40659 Update sitemap file 1 year ago
bin [lang] Fixes PUBLISH_DIR for api-quick-start 1 year ago
doc/source Remove 'autogenerate_config_docs' 2 years ago
os_doc_tools Remove the 'openstack-auto-commands' tool 2 years ago
releasenotes Remove setting of version/release from releasenotes 2 years ago
sitemap Update sitemap file 1 year ago
test Change priorities for sitemap 2 years ago
.gitignore Switch to stestr 1 year ago
.gitreview Add .gitreview 6 years ago
.mailmap Add .mailmap 5 years ago
.stestr.conf Switch to stestr 1 year ago
.zuul.yaml Use openstack-lower-constraints-jobs template 1 year ago
CONTRIBUTING.rst Note to add 'jinja2' and 'markupsafe' to requirements 3 years ago
HACKING.rst Fix URLs 2 years ago
LICENSE Add LICENSE and README.rst 6 years ago
README.rst Update links in README 1 year ago
RELEASE_NOTES.rst Fix URLs 2 years ago
bindep.txt add lower-constraints job 1 year ago
lower-constraints.txt Switch to stestr 1 year ago
requirements.txt Switch to stestr 1 year ago
setup.cfg Remove "cleanup" tools 2 years ago
setup.py Updated from global requirements 2 years ago
test-requirements.txt Switch to stestr 1 year ago
tox.ini Merge "Switch to stestr" 1 year ago

README.rst

Team and repository tags

image

OpenStack Doc Tools

This repository contains tools used by the OpenStack Documentation project.

For more details, see the OpenStack Documentation Contributor Guide.

Prerequisites

You need to have Python 2.7 installed for using the tools.

This package needs a few external dependencies including lxml. If you do not have lxml installed, you can either install python-lxml or have it installed automatically and build from sources. To build lxml from sources, you need a C compiler and the xml and xslt development packages installed.

To install python-lxml, execute the following based on your distribution.

On Fedora, RHEL 7, and CentOS 7:

$ yum install python-lxml

On openSUSE:

$ zypper in python-lxml

On Ubuntu:

$ apt-get install python-lxml

For building from source, install the dependencies of lxml.

On Fedora, RHEL 7, and CentOS 7:

$ yum install python-devel libxml2-devel libxslt-devel

On openSUSE:

$ zypper in libxslt-devel

On Ubuntu:

$ apt-get install libxml2-dev libxslt-dev